ChangeSet 1.1428, 2004/05/24 13:33:53-07:00, blujuice@us.ibm.com

[PATCH] PCI: PCI Express help in 2.4

Here is a patch for describing PCI access mode - help in 2.4.
This aligns the help with what is in 2.6.


 Documentation/Configure.help |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)


diff -Nru a/Documentation/Configure.help b/Documentation/Configure.help
--- a/Documentation/Configure.help	Mon May 24 13:52:08 2004
+++ b/Documentation/Configure.help	Mon May 24 13:52:08 2004
@@ -4236,12 +4236,13 @@
   PCI-based systems don't have any BIOS at all. Linux can also try to
   detect the PCI hardware directly without using the BIOS.
 
-  With this option, you can specify how Linux should detect the PCI
-  devices. If you choose "BIOS", the BIOS will be used, if you choose
-  "Direct", the BIOS won't be used, and if you choose "Any", the
-  kernel will try the direct access method and falls back to the BIOS
-  if that doesn't work. If unsure, go with the default, which is
-  "Any".
+  With this option, you can specify how Linux should detect the
+  PCI devices. If you choose "BIOS", the BIOS will be used,
+  if you choose "Direct", the BIOS won't be used, and if you
+  choose "MMConfig", then PCI Express MMCONFIG will be used.
+  If you choose "Any", the kernel will try MMCONFIG, then the
+  direct access method and falls back to the BIOS if that doesn't
+  work. If unsure, go with the default, which is "Any".
 
 PCI device name database
 CONFIG_PCI_NAMES
